classification
Title: LMTP.connect() loses socket error details
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, jcea, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2012-12-08 19:09 by serhiy.storchaka, last changed 2012-12-17 17:09 by asvetlov. This issue is now closed.

Files
File name Uploaded Description Edit
smtplib_LMTP_connect_raise_err_2.patch serhiy.storchaka, 2012-12-09 16:16 review
Messages (4)
msg177172 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-12-08 19:09
In LMTP.connect() a socket error catched and saved but then raised a new error with saved error as argument.

Here is a patch which reraises an original error.
msg177225 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-12-09 16:16
Patch updated. It can be simpler.
msg177651 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-12-17 17:08
New changeset 1a2ead9faa3f by Andrew Svetlov in branch '3.2':
Issue #16647: save socket error details in LMTP.connect()
http://hg.python.org/cpython/rev/1a2ead9faa3f

New changeset 6d805653843a by Andrew Svetlov in branch '3.3':
Issue #16647: save socket error details in LMTP.connect()
http://hg.python.org/cpython/rev/6d805653843a

New changeset ddf0fbff94d8 by Andrew Svetlov in branch 'default':
Issue #16647: save socket error details in LMTP.connect()
http://hg.python.org/cpython/rev/ddf0fbff94d8

New changeset 98b73c0103d9 by Andrew Svetlov in branch '2.7':
Issue #16647: save socket error details in LMTP.connect()
http://hg.python.org/cpython/rev/98b73c0103d9
msg177652 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-12-17 17:09
Fixed. Thanks, Serhiy.
History
Date User Action Args
2012-12-17 17:09:06asvetlovsetstatus: open -> closed

nosy: + asvetlov
messages: + msg177652

resolution: fixed
stage: patch review -> resolved
2012-12-17 17:08:10python-devsetnosy: + python-dev
messages: + msg177651
2012-12-15 22:01:23serhiy.storchakalinkissue16648 dependencies
2012-12-10 12:29:39jceasetnosy: + jcea
2012-12-09 16:17:01serhiy.storchakasetfiles: - smtplib_LMTP_connect_raise_err.patch
2012-12-09 16:16:40serhiy.storchakasetfiles: + smtplib_LMTP_connect_raise_err_2.patch

messages: + msg177225
2012-12-08 19:09:43serhiy.storchakacreate